// @use has to be called before @import
// angular material theme mixins and functions
@use "@angular/material" as mat;

// custom theme mixins
@use "./dist/shared-lib/theme-mixins/footer-theme" as footer;

// angular material core styles
@include mat.core();

// custom theme
@import "../../../themes/prophane-theme.scss";

// applies angular material typography styles
@include mat.all-component-typographies();
// applies custom theme to angular material components
@include mat.all-component-themes($prophane-theme);
// overrides styles of angular material components
@import "./material-style-overrides.scss";

@import "../../../node_modules/bootstrap/dist/css/bootstrap.css";


// applies custom theme to custom component
@include footer.theme($prophane-theme);

body {
  font-family: "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial",
    sans-serif;
  font-size: 14px;
  text-align: center;
}

.rki-blue_button{
  background-color : mat.m2-get-color-from-palette($prophane-primary);
  color: white
}


// Source Fasta file and protein file input field and custom map input field

.custom-tab-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1em;
  padding: 1em;
}

.custom-tab-box-centered {
  justify-content: center;
}

.custom-tab-box-left-justified {
  justify-content: flex-start;
}

.custom-card-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.custom-select {
  display: inline-block;
  height: calc(1.5em + 0.75rem + 2px);
  // padding, color arrow
  padding: 0.375rem 1rem 0.375rem 0.75rem;
  color: #495057;
  // select options
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  text-align: left;

  vertical-align: middle;
  background: #fff;
  // background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e")
  //   right 0.75rem center/8px 10px no-repeat #fff;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.custom-file {
  position: relative;
  font-size: 1rem;
  height: calc(1.5em + 0.75rem + 2px);
  margin-bottom: 0;

}

.custom-file-input:lang(en)~.custom-file-label::after {
  content: "Browse";
}

.custom-file-label::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  //z-index: 3;
  display: block;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  line-height: 1.5;
  color: #495057;
  content: "Browse";
  background-color: #e9ecef;
  border-left: inherit;
  border-radius: 0 0.25rem 0.25rem 0;
}

*,
::after,
::before {
  box-sizing: border-box;
}

.custom-file-input {
  position: relative;
  z-index: 2;
  height: calc(1.5em + 0.75rem + 2px);
  width: 100%;
  margin: 0;
  opacity: 0;
}

.custom-file-label {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0 0.25rem 0.25rem 0;
}

.content-grid-container {
  height: 100%;
  box-sizing: border-box;
  padding-top: 3rem;
  padding-bottom: 3rem;
  display: grid;
  grid-template-columns:
    [left] minmax(250px, 1fr) [center-left] minmax(600px, 2fr) [center-right] 1fr [right];
  grid-gap: 1rem;
  justify-items: stretch;
}

.centerd-grid {
  height: 100%;
  display: grid;
  grid-template-columns: [left] 1fr [center-left] minmax(600px, 2fr) [center-right] 1fr [right];
  grid-template-rows: [top] 1fr [upper-center] minmax(200px, 2fr) [lower-center] 1fr [bottom];
}

.centered-item {
  grid-column-start: center-left;
  grid-row-start: upper-center;
}

.cdk-visually-hidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  outline: 0;
  -webkit-appearance: none;
  -moz-appearance: none
}

.cdk-global-overlay-wrapper,
.cdk-overlay-container {
  pointer-events: none;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%
}

.cdk-overlay-container {
  position: fixed;
  z-index: 1000
}

.cdk-overlay-container:empty {
  display: none
}

.cdk-global-overlay-wrapper {
  display: flex;
  position: absolute;
  z-index: 1000
}

.cdk-overlay-pane {
  position: absolute;
  pointer-events: auto;
  box-sizing: border-box;
  z-index: 1000;
  display: flex;
  max-width: 100%;
  max-height: 100%
}

.cdk-overlay-backdrop {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  pointer-events: auto;
  -webkit-tap-highlight-color: transparent;
  transition: opacity .4s cubic-bezier(.25, .8, .25, 1);
  opacity: 0
}

.cdk-overlay-backdrop.cdk-overlay-backdrop-showing {
  opacity: 1
}

@media screen and (-ms-high-contrast: active) {
  .cdk-overlay-backdrop.cdk-overlay-backdrop-showing {
    opacity: .6
  }
}

.cdk-overlay-dark-backdrop {
  background: rgba(0, 0, 0, .32)
}

.cdk-overlay-transparent-backdrop,
.cdk-overlay-transparent-backdrop.cdk-overlay-backdrop-showing {
  opacity: 0
}

.cdk-overlay-connected-position-bounding-box {
  position: absolute;
  z-index: 1000;
  display: flex;
  flex-direction: column;
  min-width: 1px;
  min-height: 1px
}

.cdk-global-scrollblock {
  position: fixed;
  width: 100%;
  overflow-y: scroll
}

@keyframes cdk-text-field-autofill-start {
  /*!*/
}

@keyframes cdk-text-field-autofill-end {
  /*!*/
}

.cdk-text-field-autofill-monitored:-webkit-autofill {
  animation-name: cdk-text-field-autofill-start
}

.cdk-text-field-autofill-monitored:not(:-webkit-autofill) {
  animation-name: cdk-text-field-autofill-end
}

textarea.cdk-textarea-autosize {
  resize: none
}

textarea.cdk-textarea-autosize-measuring {
  height: auto !important;
  overflow: hidden !important;
  padding: 2px 0 !important;
  box-sizing: content-box !important
}

.card-title-button-wrapper {
  float: right;
  font-size: 14px;
}

/*custom*/
.input-group-text {
  width: 13em;
}

.custom-file-label {
  white-space: nowrap;
  overflow: hidden;
}

.w-sbtn {
  width: 3em;
}

.ml-job-form {
  margin-left: 20px !important;
}


.min-w-600 {
  min-width: 600px !important;
}

// upload field styling needed!
.uploadprogress {
  width: 40em;
  display: flex;
  align-items: center;
  justify-content: center;
}

.uploadprogresstext {
  // color: #003f97 !important;
  font-size: 30px !important;
  text-align: center !important;
  justify-content: center !important;
}

.uploadsuccesstext {
  color: #009300 !important;
  font-size: 30px !important;
  text-align: center !important;
  justify-content: center;
}

button:focus,
button:active:focus,
button.active:focus {
  outline: none !important;
  outline-style: none !important;
}
